:root{
    --bs-body-bg: #ECF0F3;
    --primary-active-color: #64ccc9;
}
.h-0{
    height: 0;
}
.bg-primary.bg-soft{
    background-color: var(--primary-active-color)!important;
}
.bg-primary.bg-soft .text-primary,
.bg-primary.bg-soft .text-primary p{
    color:white!important;
}
body[data-sidebar=dark] .navbar-brand-box{
    background-color: white;
    border-right: 1px solid var(--bs-border-color);
}
.vertical-collpsed .navbar-brand-box{
    padding: 0;
}
.avatar-title{
    font-size: 0.7rem;
}
body[data-sidebar=dark] .menu-title{
    padding-bottom:0!important; ;
}

.custom-spinner{
    position: absolute;
    --bs-spinner-width: 0.7rem;
    --bs-spinner-height: 0.7rem;
    right: 5px;
    top: 8px;
    --bs-spinner-border-width: 0.15em;
}
.chat_file_url{
    font-size: 10px;
    max-width: 200px;
    line-height: 20px;
    padding: 14px 20px;
    border-radius: 12px!important;
}
.chat_file_url.with_img_thumb{
    padding: 7px 10px;
}
.chat-input-links li a{
    font-size: 13px;
}

.h-300{
    height: 300px;
}
.lang_img{
    height: auto;
    width: 100%;
}
/*Изменение отображения колор пикера, так что-бы серые были только disabled*/
.datepicker table tr td.new,
.datepicker table tr td.old{
    color: var(--bs-dropdown-color);
    opacity: 1;
}
.datepicker table tr td.disabled{
    opacity: 0.6;
    color: var(--bs-gray-500);;
    cursor: not-allowed!important;
}
.datepicker table tr td.day:not(.new):not(.old):not(.disabled){
    --bs-text-opacity: 1;
    color: rgba(var(--bs-info-rgb),var(--bs-text-opacity))!important;
}
.datepicker table tr td.today{
    background: transparent!important;
    color: rgba(var(--bs-info-rgb),var(--bs-text-opacity))!important;
    --bs-text-opacity: 1!important;
    box-shadow: 0px 0px 4px #556ee652 !important;
}
.datepicker table tr td.today:hover{
    background: transparent!important;
    color: rgba(var(--bs-info-rgb),var(--bs-text-opacity))!important;
    --bs-text-opacity: 1!important;
    outline: 1px solid #556ee6!important;;
}
body #layout-wrapper .datepicker table tr td.day.active{
    color: white!important;
    --bs-text-opacity: 1;
    background-color: #556ee6!important;
}

.bottom-2px{
    bottom: 2px;
    position: relative;
}
.border-custom-line:before{
    content: ' ';
    position: absolute;
    width: 0px;
    height: 100%;
    left: 20px;
    top: 0px;
    border-left: 3px dashed var(--bs-gray-300);
    z-index: -1;
}
#chatWindow li .ctext-wrap p{
    white-space: pre-line;
    margin-bottom: 5px;
}
.chat-conversation .conversation-list .ctext-wrap{
    padding: 5px 12px;
}
.chat-input-links{
    border-left: 2px dashed #0000003b;
}
.chat-time{
    opacity: 0.5;
}
.chat-time i{
    margin-bottom: 1px;
}
.chat_thumb{
    width:100%;
    max-height: 175px;
    max-width: 175px;
}
